=== debian/control ===
Source: ros-one-jsk-rqt-plugins
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-image-view2, ros-one-message-generation, ros-one-mk, ros-one-rosbuild
Homepage: https://jsk-visualization.readthedocs.io/en/latest/jsk_rqt_plugins/index.html
Standards-Version: 3.9.2

Package: ros-one-jsk-rqt-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-sklearn, ros-one-cv-bridge, ros-one-image-publisher (>= 1.12.23), ros-one-image-view2, ros-one-jsk-gui-msgs (>= 4.3.0), ros-one-message-runtime, ros-one-qt-gui-py-common, ros-one-resource-retriever, ros-one-rqt-gui, ros-one-rqt-gui-py, ros-one-rqt-image-view, ros-one-rqt-plot
Description: The jsk_rqt_plugins package
