## ros-one-jsk-rqt-plugins 2.1.10-5jammy.20251208.0005

=== debian/changelog ===
ros-one-jsk-rqt-plugins (2.1.10-5jammy.20251208.0005) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 00:05:25 +0000
