## ros-one-jsk-rqt-plugins 2.1.10-5noble.20251208.1056

=== debian/changelog ===
ros-one-jsk-rqt-plugins (2.1.10-5noble.20251208.1056) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 10:56:45 +0000

ros-one-jsk-rqt-plugins (2.1.10-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-rqt-plugins (2.1.9-0noble) noble; urgency=high

  * add more visualization options for BoundingBox and BoundingBoxArray (#844 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/844>)
  * [ROS-O] patches (#891 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/891>)
    
      * drop ROS_DISTRO STRGREATER tests
        As the Debian packages use "Debian"
        https://salsa.debian.org/science-team/ros-ros-environment/-/blame/master/debian/rules?ref_type=heads#L6
        which is incompatible, does not trigger them
        c++14 is the default from melodic onward, so the additional statements
        there are not necessary
    
  * face_detector is released, so remove .travis.rosinstall.noetic . add test to check with latest pyyaml from pip (#884 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/884>)
    
      * [jsk_rqt_plugins] Fix yaml load in tabbed_button_general.py
    
  * update perspective for noetic (#873 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/873>)
  * drop obsolete (and broken urlgrabber dependency) (#867 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/867>)
  * add test to check (ServiceButtonGeneralWidget_in_tab (#880 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/880>)
    
      * Fix super function argument in tabbed_button_general
      * add test to check https://github.com/jsk-ros-pkg/jsk_visualization/pull/879
    
  * use QFileDialog for file select (#876 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/876>)
  * fix plugin category (#877 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/877>)
  * return int in mouse event (#874 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/874>)
  * Contributors: Naoaki Kanazawa, Kei Okada, Shingo Kitagawa, Yoshiki Obinata, v4hn

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-rqt-plugins (2.1.8-0noble) noble; urgency=high

  * [jsk_interactive_markers][jsk_rqt_plugins] fix yaml load (#818 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/818>)
  * fix with '2to3 -w -f zip .' (#817 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/817>)
    
      * In python3, sys.maxint changed to sys.maxsize
      * fix "TypeError: 'dict_keys' object is not subscriptable" error
        we can fix this by '2to3 -w -f dict', but it will change too many lines, so we do not use this for now....
      * fix with '2to3 -w -f import .'
      * fix cStringIO.StringIO -> io.BytesIO, see https://stackoverflow.com/questions/11914472/stringio-in-python3 / https://stackoverflow.com/questions/50797043/string-argument-expected-got-bytes-in-buffer-write
      * [jsk_rqt_plugins][jsk_rviz_plugins] Fix has_key
    
  * add tabbed_buttuns to rqt_plugin (#813 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/813>)
  * update .travis to 0.5.21 (#814 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/814>)
  * Updating the URLs of the jsk_rviz_plugins and jsk_rqt_plugins so the generated README points to working links (closes #805 ). (#806 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/806>)
  * Support single button setup in ServiceButtons plugin (#798 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/798>)
    
      * *column_indices expects to be an array of integers and the length
    should be equal or longer than 2.
    * If column_indices is just an array of a single integer (length is
    1), do not apply sum with expanding a list argument.
  * fix for using button_general.py without perspective file (#796 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/796>)
  * [jsk_rqt_plugins/button_general.py] reset button if SetBool fail (#794 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/794>)
  * sample_service_button.py support SetBool (#792 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/792>)
  * add sample_service_radio_buttons script (#789 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/789>)
  * add sample_service_buttons scriptf (#790 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/790>)
  * add sample_service_buttons.launch (#791 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/791>)
  * Contributors: Adi Vardi, Kei Okada, Naoki Hiraoka, Ryohei Ueda, Sam Pfeiffer, Shingo Kitagawa, Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 11 Jan 2022 00:00:00 -0000

ros-one-jsk-rqt-plugins (2.1.7-0noble) noble; urgency=high

  * add noetic test (#774 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/774>)
    
      * run 2to3 -f except
      * support noetic, conver to package format 3
    
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 17 Oct 2020 00:00:00 -0000

ros-one-jsk-rqt-plugins (2.1.6-0noble) noble; urgency=high

  * fix test failure in jsk_rqt_plugins (#766 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/766>)
    
      * disable jsk_rqt_plugins test in indigo
        this is because indigo does not support matplotlib
        liner_model.RANSACRegressor.
    
  * [jsk_rqt_plugins] load rosparam correctly in button_general.py (#746 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/746>)
  * Replace image_pipeline with image_publisher (#729 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/729>)
    
      * Replace image_pipeline with image_publisher
        * image_pipeline is a meta package and normal ros packages are not
        intended to depend on meta packages.
    
  * Contributors: Ryohei Ueda, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 13 Apr 2020 00:00:00 -0000


