## ros-one-jsk-rqt-plugins 2.1.10-5noble.20260106.2133

=== debian/changelog ===
ros-one-jsk-rqt-plugins (2.1.10-5noble.20260106.2133) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:33:57 +0000
